import React, { useEffect } from 'react';
import Star from './Star.svg';
import './App.scss';

function App() {
  useEffect(() => {
    fetch('/api/js/main.js')
      .then(res => {
        return res.text();
      })
      .then(res => {
        console.log(res);
      });
  }, []);
  return (
    <main>
      <div className="welcome">
        <Star />
        {'Hello, Medlinker'.split('').map((char, i) => {
          return (
            <span key={i} style={{ animationDelay: `${300 * i}ms` }}>
              {char}
            </span>
          );
        })}
        <Star />
      </div>
    </main>
  );
}

export default App;
